extend(Arrow, createjs.Container);

function Arrow(dir)
{
	this.initialize();
	var th = this
//--------------------------------//
	this.mouseChildren = false

	var arr = new createjs.Sprite(jsons["JSON1"], "btn_arrow");
	if(dir == "right")
		reverseScale()

	var area = new createjs.Shape()
	area.graphics.beginFill("#000000").drawRect(0, 0, arr.getBounds().width, arr.getBounds().height)

	this.hitArea = area
	this.addChild(arr)

	function reverseScale(){
		if(arr.scaleX == 1){
			arr.scaleX = -1
			arr.x = arr.getBounds().width
		}else{
			arr.scaleX = 0
			arr.x = 0
		}
	}
}